package com.lanren.huhu.partner.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lanren.huhu.partner.dao.OrderTaobaoJdCommissionMapper;
import com.lanren.huhu.partner.domain.OrderTaobaoJdCommission;
import com.lanren.huhu.partner.service.OrderTaobaoJdCommissionService;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 *
 * @author houseme
 * @date 2019-07-01 14:43
 * @Project partner
 * @Package ${PACKAGE_NAME}
 * @File: ${NAME}
 */
@Service
public class OrderTaobaoJdCommissionServiceImpl extends ServiceImpl<OrderTaobaoJdCommissionMapper, OrderTaobaoJdCommission> implements OrderTaobaoJdCommissionService{

    @Override
    public int updateBatch(List<OrderTaobaoJdCommission> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    public int batchInsert(List<OrderTaobaoJdCommission> list) {
        return baseMapper.batchInsert(list);
    }
    @Override
    public int insertOrUpdate(OrderTaobaoJdCommission record) {
        return baseMapper.insertOrUpdate(record);
    }
    @Override
    public int insertOrUpdateSelective(OrderTaobaoJdCommission record) {
        return baseMapper.insertOrUpdateSelective(record);
    }

    @Override
    public OrderTaobaoJdCommission getOneByOrderSn(String orderType, String orderSn) {
        QueryWrapper<OrderTaobaoJdCommission> wrapper = new QueryWrapper<OrderTaobaoJdCommission>();
        wrapper.eq("type", orderType).eq("order_sn", orderSn);
        return baseMapper.selectOne(wrapper);
    }
}
